## net.i2p.client.naming
Class MetaNamingService

    java.lang.Object
      net.i2p.client.naming.NamingService
          net.i2p.client.naming.MetaNamingService

    public class MetaNamingService

extends NamingService

Field Summary

Fields inherited from class net.i2p.client.naming.NamingService
`_context, PROP_IMPL`

Constructor Summary
`MetaNamingService(I2PAppContext context)`

Method Summary
`Destination` `lookup(java.lang.String hostname)` Look up a host name.
`java.lang.String` `reverseLookup(Destination dest)` Reverse look up a destination

Methods inherited from class net.i2p.client.naming.NamingService
`createInstance, lookupBase64`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaNamingService

    public MetaNamingService(I2PAppContext context)

Method Detail

### lookup

    public Destination lookup(java.lang.String hostname)

  Description copied from class: `NamingService`
  Look up a host name.

  Specified by:
    `lookup` in class `NamingService`
  Returns:
    the Destination for this host name, or `null` if name is unknown.

### reverseLookup

    public java.lang.String reverseLookup(Destination dest)

  Description copied from class: `NamingService`
  Reverse look up a destination

  Specified by:
    `reverseLookup` in class `NamingService`
  Returns:
    a host name for this Destination, or `null` if none is known. It is safe for subclasses to always return `null` if no reverse lookup is possible.